Skip to main content
GET
List Files
Every request requires anthropic-beta: files-api-2025-04-14.

Authorizations

X-Api-Key
string
header
default:sk-ant-local-default
required

OMA workspace API key.

Headers

anthropic-beta
string
required

Optional header to specify the beta version(s) you want to use.

To use multiple betas, use a comma separated list like beta1,beta2 or specify the header multiple times for each beta.

anthropic-version
string

The version of the OMA API you want to use.

Read more about versioning and our version history here.

Query Parameters

beta
enum<boolean>
required

Selects the beta API contract for this endpoint. Must be true.

Available options:
true
before_id
string

ID of the object to use as a cursor for pagination. When provided, returns the page of results immediately before this object.

after_id
string

ID of the object to use as a cursor for pagination. When provided, returns the page of results immediately after this object.

limit
integer
default:20

Number of items to return per page.

Defaults to 20. Ranges from 1 to 1000.

Required range: 1 <= x <= 1000
scope_id
string

Filter by scope ID. Only returns files associated with the specified scope (e.g., a session ID).

Response

Successful Response

data
FileMetadataSchema · object[]
required

List of file metadata objects.

first_id
string | null

ID of the first file in this page of results.

Example:

"file_011CNha8iCJcU1wXNR6q4V8w"

has_more
boolean
default:false

Whether there are more results available.

last_id
string | null

ID of the last file in this page of results.

Example:

"file_013Zva2CMHLNnXjNJJKqJ2EF"